Summary: An automatic digital notary service.
Name: notary
Version: 0.0.4
Release: 1
License: GPL
Group: Applications/Internet
URL: http://people.redhat.com/twaugh/notary/
Source0: ftp://people.redhat.com/twaugh/notary/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: gnupg vixie-cron apache
Requires(pre): vixie-cron shadow-utils

%description
This is an automatic digital notary service. Sign your document, send
the detached signature to the notary service, and you recieve the
notary's detached signature in return. This can be used to corrobate
a timestamp in a digital signature.

Install this package if you want to provide a notary service for
others to use.

%prep
%setup -q -n %{name}-%{version}

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/var/spool/notary
mkdir -p %{buildroot}/%{_sysconfdir}/notary
mkdir -p %{buildroot}/%{_sysconfdir}/xinetd.d
mkdir -p %{buildroot}/var/www/html/notary/archive
mkdir -p %{buildroot}/var/www/html/notary/signatures
install -m 755 notary %{buildroot}/%{_sbindir}/
install -m 755 in.notaryd %{buildroot}/%{_sbindir}/
install -m 755 notary-daily %{buildroot}/%{_sbindir}/
install -m 755 notary-weekly %{buildroot}/%{_sbindir}/
install -m 644 rpm/notary %{buildroot}/%{_sysconfdir}/xinetd.d/
echo '00000000' > %{buildroot}/var/spool/notary/seq

%clean
rm -rf %{buildroot}

%pre
/usr/sbin/useradd -M -o -r -d /etc/notary -s /bin/false \
	-c "Notary" -u 450 notary > /dev/null 2>&1 || :
/usr/bin/crontab -u notary - << EOF
20 6 * * 0 /usr/sbin/notary-weekly
30 6 * * * /usr/sbin/notary-daily
EOF

%files
%defattr(-,root,root)
%doc INSTALL WHY COPYING
%{_sbindir}/*
%{_sysconfdir}/xinetd.d/notary
%attr(660,notary,notary) %config(noreplace) /var/spool/notary/seq
%attr(770,notary,notary) %dir /var/spool/notary
%attr(770,notary,notary) %dir %{_sysconfdir}/notary
%attr(775,notary,notary) %dir /var/www/html/notary/archive
%attr(775,notary,notary) %dir /var/www/html/notary/signatures
%attr(775,notary,notary) %dir /var/www/html/notary

%changelog
* Fri Jan 19 2001 Tim Waugh <twaugh@redhat.com>
- Prerequisites.

* Tue Dec 05 2000 Tim Waugh <twaugh@redhat.com>
- Create /var/www/html/notary/signatures directory.

* Fri Dec 01 2000 Tim Waugh <twaugh@redhat.com>
- Created
